Foreman - Refactor #22272

Don't run CreateRssNotifications in tests
01/15/2018 02:54 PM - Ivan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Notifications
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5177
Description

During running tests, we still schedule the CreateRssNotifications job, which can potentially collide

with other tests, as well as seems to run into some issues related to code reloading.

We should not do this in test environment in the first place

Associated revisions

Revision 72f30ad2 - 01/16/2018 08:45 AM - lvan Necas

Fixes #22272 - don't run CreateRssNotifications in test (#5177)
During running tests, we still schedule the CreateRssNotifications job,
which can potentially collide with other tests, as well as seems to run
into some issues related to code reloading.

We should not do this in test environment in the first place.

History

#1 - 01/15/2018 02:56 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5177 added

#2 - 01/16/2018 08:46 AM - Marek Hulan

- translation missing: en.field_release set to 330

#3 - 01/16/2018 09:01 AM - lvan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 72{30ad277703a282ce912c241fac56¢1192ee06.
